GyotoUniformSphere.h File Reference

Optically thick or thin, spherical objects. More...

`#include <GyotoMetric.h>`
`#include <GyotoStandardAstrobj.h>`
`#include <GyotoSpectrum.h>`
`#include <GyotoRegister.h>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Gyoto::Astrobj::UniformSphere
| Optically thick or thin, spherical objects. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

Optically thick or thin, spherical objects.

Gyoto::Astrobj::UniformSphere is an abstract type from which uniform, spherical objects inherit (in particular, the Gyoto::Astrobj::Star and Gyoto::Astrobj::FixedStar classes).